1. Card Payments
  • API Docs Colombia 🇨🇴
  • Online Payments
    • Release Notes
    • Card Payments
      • Request a card token
        POST
      • Make a charge or deferred charge
        POST
      • Create payment (tokenless)
        POST
      • Void a transaction
        DELETE
      • Refund a transaction
        DELETE
      • Request deferred options
        GET
      • Authorize payments
        POST
      • Preauthorization (tokenless)
        POST
      • Reauthorize payments
        POST
      • Capture an authorized payment
        POST
      • Verify Account
        POST
      • Validate OTP
        POST
      • Bin Info
        GET
      • BIN info V2
        GET
    • One-Click & Scheduled Payments
      • Request a recurring charge token
      • Create a recurring charge
      • Make an One-click payment
      • Update recurring charge card data
      • Cancel a recurring charge
      • Update a recurring charge
      • Add a temporary charge or discount
      • Authorize payments
      • Capture an authorized payment
      • Get recurring charge Info
    • Chargebacks
      • Query chargebacks
      • Request chargeback export
    • Transfer in
      • Get Bank List
      • Request a Transfer In token
      • Init Transaction
      • Get Status
    • Transfer out
      • Get Bank List
      • Get Bank List V2
      • Request a Transfer Out token
      • Init Transaction
      • Get Status
      • Balance for Payouts
    • CASH-IN
      • Request a cash in token
      • Init Transaction
      • Transaction Status
      • Delete a cash in transaction
      • Update a cash in transaction
    • Cash-out
      • Request a cash out token
      • Init Transaction
      • Transaction Status
      • Update a cash out transaction
      • Delete a cash out transaction
    • Smartlinks-v2
      • Create a Smartlink
      • Get a Smartlink
      • Update a Smartlink
      • Delete a smartlink
    • Analytics
      • Get transactions list v1
      • Get transactions list v2
    • Gateway-status
      • Get gateway status
      • Get platform status
    • Payment Credentials
      • Create a credential
      • Search credentials
      • Advanced search
      • Delete credential
      • Regenerate a credential
      • Activate or deactivate
      • Update credential
    • Payment Button
      • Create a payment button
    • Settlement
      • Query settlement
    • Subscription Transactions
      • Get subscription transactions
  • Kushki One
    • Cloud Services
      • Payment
        • Charge
        • Authorization (Pre-auth)
        • Capture
        • Re-authorization
        • Post-tip
        • Void
        • Refund
        • Abort
        • Transaction Search
      • Print
        • Create Print Job
        • Get Print Job Status
    • Local Services
      • Payment
        • Charge
        • Authorization (Pre-auth)
        • Capture
        • Re-authorization
        • Post-tip
        • Void
        • Refund
        • Abort
        • Transaction Search — Online
        • Transaction Search — Local
      • Print
        • Create Print Job
        • Get Print Job Status
        • Print Job Webhook (inbound — implemented by your POS)
  • API RAW CARD PRESENT PAYMENTS
    • Release Notes
    • Error Catalog
    • The Amount Object
    • Key Exchange Process
    • Test data
    • Card Information
      • Get BIN Info
      • Balance inquiries
      • BIN info V2
      • Request deferred options
    • One-time Payments
      • Single payment
    • Two-step Payments
      • Authorization and capture
    • Voids & Refunds
      • Void & Reverse
      • Refund a transaction
    • Query Transactions
      • Transaction Search
    • Webhooks
      • Introduction
      • Good Practices
      • Webhooks-Card Payments
      • Webhooks-Refunds
      • Check your webhooks
  • Appian - Submerchant Register
    • Submerchant Validation in Batch
    • Query submerchant status by requestId/submerchantId
    • Get submerchantIds
    • Get credentials for submerchants
  • Schemas
    • RequestBodies
      • one-and-two-step-payment
    • SubscriptionTransactionsResponse
    • Card
    • Channel
    • Amount-cash-in
    • ChargebackListResponse
    • SettlementDateRangeRequest
    • AmountWithTaxes
    • PrintJobRequest
    • card
    • SubscriptionTransaction
    • networkToken
    • ChargebackItem
    • SettlementTicketRequest
    • AmountCore
    • CommandText
    • amount
    • ErrorResponse
    • currency
    • webhooksItem
    • ErrorResponse400
    • SettlementResponse
    • ExtraTaxes
    • CommandColumns
    • extra_taxes
    • Amount
    • ErrorResponse401
    • SettlementRecord
    • ColumnItem
    • pos_details
    • extraTaxes
    • ErrorResponse403
    • TransactionResponse
    • CommandDivider
    • card_details
    • Deferred
    • Country
    • payment_method
    • ErrorResponse500
    • RawResponse
    • CommandFeed
    • enc_tlv
    • Metadata
    • CardData
    • CommandSpace
    • contact_details
    • ContactDetails
    • AmountWithTip
    • CommandCut
    • deferred
    • sub_merchant
    • documentType
    • Subscription
    • LinkFailure
    • CommandImage
    • metadata
    • orderDetails
    • Language
    • TransactionSearchRequest
    • CommandQR
    • Shipping Address
    • payment_submethod
    • CommandBarcode
    • Billing-Address
    • PrinterError
    • product
    • SubscriptionUpdate
    • PrintJobStatus
    • threeDomainSecure
    • SubscriptionAdjustmentRequest
    • PrintWebhookPayload
    • webhooks
    • headers
    • webhooksChargeback
    • citMit
    • network
    • binInfo
    • messageFields
    • UnexpectedErrorResponse
    • transactionType
    • ExternalReferenceId
    • ExternalSubscriptionId
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴
Chile 🇨🇱
BienvenidaPerú 🇵🇪México 🇲🇽Ecuador 🇪🇨Colombia 🇨🇴
Chile 🇨🇱
  1. Card Payments

Authorize payments

POST
/card/v1/preAuthorization

This functionality is available for the following models:#

☑ Acquirer
☑ Aggregator
Use this endpoint to request an authorization using a token provided by Kushki.
You authorize a card payment when you want to verify that sufficient credit exists on a customer's credit card before processing a sale. The cardholder's credit limit will be reduced by the amount of the authorization until the authorization is captured or expires.
The authorization will expire after 28 days for credit cards and after 7 days for debit cards from the time of request.

Product in beta version for Colombia 🔐👨‍💻#

We are working on our beta version. Stay tuned for its official release! You can also contact your account manager for more information.
NOTE: An authorization can be canceled through the Void a transaction endpoint. After performing the cancellation, no reauthorizations can be made on the canceled transaction.

Do you have your own 3DS authentication engine?*#

This functionality is available for the following models:#

☑ Acquirer
☐ Aggregator
Make sure you include the threeDomainSecure object in your request.
* Applies in Colombia 🇨🇴.

Request

Header Params

Body Params application/json

Examples

Responses

🟢201Created
application/json
Created
Bodyapplication/json

🟠400Bad Request
🟠403Forbidden
Request Request Example
Shell
JavaScript
Java
Swift
cURL
curl --location 'https://api-uat.kushkipagos.com/card/v1/preAuthorization' \
--header 'Private-Merchant-Id;' \
--header 'Content-Type: application/json' \
--data '{
    "token": "8b91be6433c94a98b2b8db6a3e7e564d",
    "amount": {
        "subtotalIva": 0,
        "subtotalIva0": 39,
        "ice": 0,
        "iva": 0,
        "currency": "COP"
    },
    "orderDetails": {
        "siteDomain": "example.com",
        "shippingDetails": {
            "name": "John Doe",
            "phone": "+667566314515",
            "address": "Av Mariscal Caceres",
            "city": "Ayacucho",
            "region": "Ayacucho",
            "country": "Colombia",
            "zipCode": "170402"
        },
        "billingDetails": {
            "name": "John Doe",
            "phone": "+573912345678",
            "address": "Av Mariscal Caceres",
            "city": "Ayacucho",
            "region": "Ayacucho",
            "country": "Colombia",
            "zipCode": "170402"
        }
    },
    "months": 3,
    "fullResponse": "v2",
    "metadata": {
        "key0": "value0",
        "key1": "value1",
        "key2": "value2"
    }
}'
Response Response Example
201 - fullResponse v2
{
    "details": {
        "amount": {
            "subtotalIva": 0,
            "subtotalIva0": 59,
            "ice": 0,
            "iva": 0,
            "currency": "COP"
        },
        "approvalCode": "000000",
        "approvedTransactionAmount": 59,
        "binInfo": {
            "bank": "BANCO DE LA PRODUCCION S.A. (PRODUBANCO)",
            "bindCard": "545195",
            "cardCountry": "Colombia",
            "lastFourDigits": "5480",
            "type": "credit"
        },
        "cardHolderName": "John Doe",
        "created": 1658360425000,
        "merchantId": "20000000104111374000",
        "merchantName": "Mi Comercio Colombia",
        "paymentBrand": "Master Card",
        "processorBankName": "0032~BANCO INTERNACIONAL",
        "requestAmount": 59,
        "responseCode": "000",
        "responseText": "Transacción aprobada",
        "transactionId": "985906214634267722",
        "transactionReference": "8a42f3a2-fa30-4019-b8f6-9bfc7c78e669",
        "transactionStatus": "APPROVAL",
        "transactionType": "PREAUTHORIZATION"
    },
    "ticketNumber": "073884255559778896",
    "transactionReference": "8a42f3a2-fa30-4019-b8f6-9bfc7c78e669"
}
Modified at 2026-07-28 16:34:35
Previous
Request deferred options
Next
Preauthorization (tokenless)
Built with